Scala compilation failed for project using JDK 1.5

Hi,
I have a Java project targetting Java 1.5 (1.5.0.5).

I'm trying to add Scala (2.8.0) to it but getting compilation error in IntelliJ (10.0.1 Build UI-99.32 running under JDK 1.6.0_21 on Windows XP) :

Compiler internal error. Process terminated with exit code 1

Nothing special shows up in IntelliJ logs:

2011-01-05 14:11:19,453 [74060705]   INFO - ij.compiler.impl.CompileDriver - COMPILATION STARTED
2011-01-05 14:11:21,156 [74062408]   INFO - lij.compiler.impl.CompilerUtil -  COMPILATION FINISHED; Errors: 1; warnings: 0 took 1703 ms: 0 min 1sec


The issue goes away if I switching Project SDK to Java 6 but I need to have it running with 1.5.
I tried adding -target:jvm-1.5 to Scala Facet Additional command-line parameters to force scalac to use 1.5 but no success.

Any ideas how to make this combination work if at all ?
Regards,
Chi Lang
2 comments
Comment actions Permalink

I've got the same problem, when you enable logging to idea.log it throws exception concerning incorrect class version, it works ok on jdk 1.6 but I've to work with 1.5 it works smoothly on idea 9.04 problem rises on idea 10.0.1, regards

0
Comment actions Permalink

The problem is fixed, thank you for the feedback.

0

Please sign in to leave a comment.